using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using Syncfusion.Grouping;

public partial class _Default : System.Web.UI.Page 
{
    private OleDbDataAdapter adaptor;
    private OleDbConnection conn;
    private bool IsRecordValueChanged=false;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            //Here Grid DataSource is DataTable from the OleDB Data Connection.
            this.GridGroupingControl1.DataSource = this.GetGridData();
            this.GridGroupingControl1.DataSourceCachingMode = Syncfusion.Web.UI.WebControls.Grid.Grouping.Common.DataSourceCachingMode.ViewState;
        }
        //Response.Write(this.GridGroupingControl1.TableDescriptor.Columns[0].HeaderText);
    }
    protected DataTable GetGridData()
    {
        DataTable table = new DataTable();
        string connString = @"provider = microsoft.jet.oledb.4.0;data source =" + Server.MapPath("App_Data/NWIND.MDB");
        conn = new OleDbConnection(connString);
        try
        {
            adaptor = new OleDbDataAdapter("SELECT EmployeeID, FirstName, LastName FROM Employees", conn);                             
            adaptor.Fill(table);
            table.Columns[0].Caption = "EmpID";
            //Response.Write(this.GridGroupingControl1.TableDescriptor.Columns[0].Name);
        }
        catch (OleDbException ex)
        {
            this.GridGroupingControl1.WarningMessage = ex.Message.ToString();
        }       
        return table;
    }

    protected void GridGroupingControl1_DataSourceControlRowUpdating(object sender, Syncfusion.Web.UI.WebControls.Grid.Grouping.GridDataSourceControlRowUpdateEventArgs e)
    {
        
       
    }
   

}
